import request from '@/utils/request'

// 查询采购申请单列表
export function listApply(query) {
  return request({
    url: '/oms/apply/list',
    method: 'get',
    params: query
  })
}

// 查询采购申请单详细
export function getApply(id) {
  return request({
    url: '/oms/apply/' + id,
    method: 'get'
  })
}

// 新增采购申请单
export function addApply(data) {
  return request({
    url: '/oms/apply',
    method: 'post',
    data: data
  })
}

// 修改采购申请单
export function updateApply(data) {
  return request({
    url: '/oms/apply',
    method: 'put',
    data: data
  })
}

// 删除采购申请单
export function delApply(id) {
  return request({
    url: '/oms/apply/' + id,
    method: 'delete'
  })
}

// 导出采购申请单
export function exportApply(query) {
  return request({
    url: '/oms/apply/export',
    method: 'get',
    params: query
  })
}

// 查询采购申请单商品列表
export function listProduct(query) {
  return request({
    url: '/oms/apply/productList',
    method: 'get',
    params: query
  })
}

// 修改采购申请单状态
export function updateApplyStatus(data) {
  return request({
    url: '/oms/apply/status',
    method: 'put',
    data: data
  })
}
